how to get itunes 12.7 to work

Discussion in 'macOS' started by timh, Sep 22, 2017.

  1. timh macrumors member

    Joined:
    Oct 21, 2010
    #1
    So... I have bought the iphone 8 and it arrived today. But to get the backup from my iphone 6 to transfer to the iphone i need itunes 12.7. but for that i need osx 10.10.
    Now here is the problem, i never bothered to upgrade so my mac is running 10.9.5. But if I try to upgrade to 10.12 through the app store i get the message that my mac is to old.
    I really hope i don't have to go buy a new imac just to use my iphone?!
    Right now i am backing up to iCloud to get my data on the iphone 8 that way but i prefer to keep an backup on my mac so i don't have to pay for extra iCloud storage every month.
     
  2. CoastalOR, Sep 22, 2017
    Last edited: Sep 22, 2017

    CoastalOR macrumors 68020

    CoastalOR

    Joined:
    Jan 19, 2015
    Location:
    Oregon, USA
    #2
  3. timh thread starter macrumors member

    Joined:
    Oct 21, 2010
    #3
    Thanks! It’s downloading. I will post if it works.
     
  4. teidon macrumors 6502

    teidon

    Joined:
    Dec 22, 2009
    #4
    If iTunes 12.7 requires macOS 10.10 or newer, it should work in El Capitan because it's macOS 10.11.

    Apple's decision to kill support for older hardware in macOS Sierra and High Sierra is kind of stupid. Just some planned obsolescent. There are of course ways to install those macOS versions to unsupported machines, if you are adventurous enough.
     
  5. Nermal Moderator

    Nermal

    Staff Member

    Joined:
    Dec 7, 2002
    Location:
    New Zealand
    #5
  6. CoastalOR macrumors 68020

    CoastalOR

    Joined:
    Jan 19, 2015
    Location:
    Oregon, USA
    #6
    Thanks for the clarification. I wasn't sure if the iPhone 8 required iTunes 12.7.
     
  7. timh thread starter macrumors member

    Joined:
    Oct 21, 2010
    #7
    Installing el capitan worked! After that was installed i could install itunes 12.7. It seem like my imac lives on for a while longer. To bad i lost support of aperture by installing el capitan but that was going to happen anyway.
     
  8. Eithanius macrumors 65816

    Joined:
    Nov 19, 2005
    #8
    From what I know, Aperture still runs even on 10.12 and 10.13...
     
  9. CoastalOR macrumors 68020

    CoastalOR

    Joined:
    Jan 19, 2015
    Location:
    Oregon, USA
    #9
    I'm glad the El Capitan install worked and you were able to add iTunes 12.7.

    I agree with Eithanius. My understanding is that Aperture works with El Capitan. See the first post, it lists Aperture in the Working column:
    https://forums.macrumors.com/threads/os-x-el-capitan-working-not-working-apps.1890772/
     

Share This Page

8 September 22, 2017